<template>
  <div>
    <el-tabs v-model="activeName" @tab-click="handleClick">
      <el-tab-pane label="代理信息" name="first">
        <div class="shop_item">
          <el-row>
            <el-col :span="6" class="cards">
              <div class="box">
                <div class="box_num">
                  <div class="box_color">渠道码</div>
                  <div class="text_color">
                    <span>{{ tableData.qdCode }}</span>
                  </div>
                </div>
              </div>
            </el-col>
            <el-col :span="6" class="cards">
              <div class="box">
                <div class="box_num">
                  <div class="box_color">管理员昵称</div>
                  <div class="text_color">
                    <span>{{ tableData.username }}</span>
                  </div>
                </div>
              </div>
            </el-col>
            <el-col :span="6" class="cards">
              <div class="box">
                <div class="box_num">
                  <div class="box_color">手机号</div>
                  <div class="text_color">
                    <span>{{ tableData.mobile }}</span>
                  </div>
                </div>
              </div>
            </el-col>
            <el-col :span="6" class="cards">
              <div class="box">
                <div class="box_num">
                  <div class="box_color">邮箱</div>
                  <div class="text_color">
                    <span>{{ tableData.email }}</span>
                  </div>
                </div>
              </div>
            </el-col>
            <el-col :span="6" class="cards">
              <div class="box">
                <div class="box_num">
                  <div class="box_color">渠道佣金比例</div>
                  <div class="text_color">
                    <span>{{
                      tableData.qdRate ? tableData.qdRate : 0 | numFilter
                    }}</span>
                  </div>
                </div>
              </div>
            </el-col>

            <el-col :span="6" class="cards">
              <div class="box">
                <div class="box_num">
                  <div class="box_color">钱包余额</div>
                  <div class="text_color">
                    <span>{{ usermMoneys ? usermMoneys : 0 | numFilter }}</span>
                    <div>
                      <el-button
                        size="mini"
                        type="warning"
                        v-if="isAuth('managementStoreincome:draw')"
                        @click="depositType()"
                        style="margin: 3px; width: 56px"
                        >提现
                      </el-button>
                      <!-- <el-button size="mini" type="primary" v-if="isAuth('managementStoreincome:update')" @click="depositTx()"
                      	style="margin: 3px;width: 56px;">修改
                      </el-button> -->
                    </div>
                  </div>
                </div>
              </div>
            </el-col>
            <!-- <el-col :span="5">
						<span>商户余额:</span>
						<span>{{tableData.money?tableData.money:0 | numFilter}}</span>
					</el-col> -->
            <el-col :span="6" class="cards">
              <div class="box">
                <div class="box_num">
                  <div class="box_color">支付宝账号</div>
                  <div class="text_color">
                    {{ tableData.zhiFuBao ? tableData.zhiFuBao : "未绑定" }}
                  </div>
                </div>
              </div>
            </el-col>
            <el-col :span="6" class="cards">
              <div class="box">
                <div class="box_num">
                  <div class="box_color">支付宝名称</div>
                  <div class="text_color">
                    {{
                      tableData.zhiFuBaoName ? tableData.zhiFuBaoName : "未绑定"
                    }}
                  </div>
                </div>
              </div>
            </el-col>
            <!-- <el-col :span="6" class="cards">
					  <div class="box">
						 <div class="box_num">
							 <div class="box_color">微信提现二维码</div>
							 <div class="text_color text_color1">
								 <img v-if="tableData.wxImg" :src="tableData.wxImg" style="width: 80px;height: 80px;"/>
							 </div>
						 </div>
					  </div>
					</el-col> -->
            <!-- <el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">银行卡名称:</div>
									<div class="text_color">{{tableData.bankCardName?tableData.bankCardName:'未绑定'}}
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">绑定银行卡姓名:</div>
									<div class="text_color">
										{{tableData.bankCardUserName?tableData.bankCardUserName:'未绑定'}}
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">银行卡账号:</div>
									<div class="text_color">{{tableData.bankCard?tableData.bankCard:'未绑定'}}</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">银行卡开户地址:</div>
									<div class="text_color">
										{{tableData.bankCardAddress?tableData.bankCardAddress:'未绑定'}}
									</div>
								</div>
							</div>
						</el-col> -->
          </el-row>
          <div style="text-align: right; margin: 10px 20px">
            <!-- <el-button size="mini" type="primary" v-if="isAuth('managementStoreincome:update')"
						@click="updatesEwm(tableData)" style="margin: 3px;">修改微信二维码
					</el-button> -->
            <!-- <el-button size="mini" type="primary" v-if="isAuth('managementStoreincome:update')"
							@click="updatesZfb(tableData)" style="margin: 3px;">修改支付宝账号
						</el-button> -->
          </div>
        </div>
        <!-- 修改支付宝信息 -->
        <el-dialog
          title="修改支付宝信息"
          :visible.sync="dialogFormVisible"
          center
        >
          <el-form :model="form">
            <el-form-item label="支付宝账号：" :label-width="formLabelWidth">
              <el-input
                v-model="form.zhiFuBao"
                style="width: 65%"
                placeholder="请输入支付宝账号"
              ></el-input>
            </el-form-item>
            <el-form-item label="支付宝名称：" :label-width="formLabelWidth">
              <el-input
                v-model="form.zhiFuBaoName"
                style="width: 65%"
                placeholder="请输入支付宝名称"
              ></el-input>
            </el-form-item>
          </el-form>
          <div slot="footer" class="dialog-footer">
            <el-button @click="dialogFormVisible = false">取 消</el-button>
            <el-button type="primary" @click="amendNoticeTo()">确 定</el-button>
          </div>
        </el-dialog>
        <!-- 提现申请 -->
        <el-dialog
          title="提现申请提示"
          :visible.sync="dialogFormVisible1"
          v-loading="tableDataLoading1"
          @close="reset"
          center
        >
          <div style="margin-bottom: 10px">
            <span style="width: 200px; display: inline-block; text-align: right"
              >提现类型：</span
            >
            <el-radio-group v-model="txtype">
              <el-radio :label="1">支付宝</el-radio>
              <!-- <el-radio :label="2">银行卡</el-radio> -->
            </el-radio-group>
          </div>
          <el-form :model="form1">
            <el-form-item :label-width="formLabelWidth">
              <p>请仔细确认收款人信息</p>
            </el-form-item>
            <el-form-item label="手机号" :label-width="formLabelWidth">
              <span>{{ tableData.mobile }}</span>
              <el-button
                style="margin-left: 20px"
                type="primary"
                size="medium"
                @click="sendMsg()"
                > {{ msgTime >= 60 ? "发送验证码" : msgTime }}</el-button
              >
            </el-form-item>
            <el-form-item label="验证码" :label-width="formLabelWidth" required>
              <el-input
                v-model="msg"
                style="width: 65%"
                type="text"
                placeholder="请输入验证码"
              >
              </el-input>
            </el-form-item>
            <el-form-item
              label="提现金额："
              :label-width="formLabelWidth"
              required
            >
              <el-input
                v-model="outMoney"
                style="width: 65%"
                type="number"
                placeholder="请输入提现金额"
              >
              </el-input>
            </el-form-item>
            <el-form-item
              label="支付宝名称："
              :label-width="formLabelWidth"
              v-if="txtype == 1"
            >
              <span>{{ form1.zhiFuBaoName }}</span>
            </el-form-item>
            <el-form-item
              label="支付宝账号："
              :label-width="formLabelWidth"
              v-if="txtype == 1"
            >
              <span>{{ form1.zhiFuBao }}</span>
            </el-form-item>

            <!-- 	<el-form-item label="银行卡名称：" :label-width="formLabelWidth" v-if="txtype==2">
							<span>{{form1.bankCardName}}</span>
						</el-form-item>
						<el-form-item label="银行卡账号：" :label-width="formLabelWidth" v-if="txtype==2">
							<span>{{form1.bankCard}}</span>
						</el-form-item>
						<el-form-item label="银行卡姓名：" :label-width="formLabelWidth" v-if="txtype==2">
							<span>{{form1.bankCardUserName}}</span>
						</el-form-item>
						<el-form-item label="开户行地址：" :label-width="formLabelWidth" v-if="txtype==2">
							<span>{{form1.bankCardAddress}}</span>
						</el-form-item> -->
          </el-form>
          <div slot="footer" class="dialog-footer">
            <el-button @click="dialogFormVisible1 = false">取 消</el-button>
            <el-button type="primary" @click="depositTo()">确 定</el-button>
          </div>
        </el-dialog>
      </el-tab-pane>
      <el-tab-pane label="提现记录" name="tixian">
        <el-table v-loading="tableDataLoading" :data="withdrawData.list">
          <el-table-column fixed prop="id" label="编号" width="80">
          </el-table-column>
          <el-table-column prop="zhifubao" label="支付宝账号">
            <template slot-scope="scope">
              <span>{{
                scope.row.zhifubao ? scope.row.zhifubao : "未绑定"
              }}</span>
            </template>
          </el-table-column>
          <el-table-column prop="zhifubaoName" label="支付宝名称" width="100">
            <template slot-scope="scope">
              <span>{{
                scope.row.zhifubaoName ? scope.row.zhifubaoName : "未绑定"
              }}</span>
            </template>
          </el-table-column>

          <el-table-column prop="money" label="提现金额"> </el-table-column>
          <el-table-column prop="rate" label="手续费"> </el-table-column>
          <el-table-column prop="refund" label="拒绝理由">
            <template slot-scope="scope">
              <span>{{ scope.row.refund ? scope.row.refund : "未拒绝" }}</span>
            </template>
          </el-table-column>
          <el-table-column prop="createAt" label="申请时间" width="170">
          </el-table-column>
          <el-table-column prop="outAt" label="转账/拒绝时间" width="160">
          </el-table-column>
          <el-table-column prop="orderNumber" label="转账订单号" width="150">
          </el-table-column>
          <el-table-column prop="type" label="提现方式" width="150">
            <template slot-scope="scope">
              <span v-if="scope.row.classify == 1">支付宝</span>
              <span v-else-if="scope.row.classify == 2">银行卡</span>
              <span v-else> -</span>
            </template>
          </el-table-column>
          <el-table-column prop="state" label="状态" width="100">
            <template slot-scope="scope">
              <span
                style="color: #4f9dec; cursor: pointer"
                v-if="scope.row.state == 0"
                >待转账</span
              >
              <span v-if="scope.row.state == 1">已转账</span>
              <span v-if="scope.row.state == -1">已拒绝</span>
            </template>
          </el-table-column>
        </el-table>
        <div style="text-align: center; margin-top: 10px">
          <el-pagination
            @size-change="handleSizeChange"
            @current-change="handleCurrentChange"
            :page-sizes="[10, 20, 30, 50, 100]"
            :page-size="size"
            :current-page="page"
            layout="total,sizes, prev, pager, next"
            :total="withdrawData.totalCount"
          >
          </el-pagination>
        </div>
      </el-tab-pane>
      <el-tab-pane label="钱包明细" name="yue">
        <el-table v-loading="tableDataLoading" :data="tableDataYe.records">
          <el-table-column prop="id" label="编号" width="80"> </el-table-column>
          <el-table-column prop="title" label="标题"> </el-table-column>
          <el-table-column prop="content" label="内容"> </el-table-column>

          <el-table-column prop="money" label="金额">
            <template slot-scope="scope">
              <span
                v-if="scope.row.type == 1"
                style="color: limegreen; cursor: pointer"
                >+{{ scope.row.money }}</span
              >
              <span v-else style="color: red; cursor: pointer"
                >-{{ scope.row.money }}</span
              >
            </template>
          </el-table-column>
          <el-table-column prop="createTime" label="时间"> </el-table-column>
        </el-table>
        <div style="text-align: center; margin-top: 10px">
          <el-pagination
            @size-change="handleSizeChangeYe"
            @current-change="handleCurrentChangeYe"
            :page-sizes="[10, 20, 30, 50, 100]"
            :page-size="size"
            :current-page="page"
            layout="total,sizes, prev, pager, next"
            :total="tableDataYe.total"
          >
          </el-pagination>
        </div>
      </el-tab-pane>
      <el-tab-pane label="提现账号" name="zhanghao">
        <div style="position: relative; margin: 10px 0px">
          <span>支付宝名称：</span>
          <el-input
            style="width: 200px"
            placeholder="请输入支付宝名称"
            v-model="tableData.zhiFuBaoName"
          >
          </el-input
          >&nbsp;&nbsp
        </div>
        <div style="margin: 10px 0">
          <span>支付宝账号：</span>
          <el-input
            style="width: 200px"
            clearable
            placeholder="请输入支付宝账号"
            v-model="tableData.zhiFuBao"
          >
          </el-input
          >&nbsp;&nbsp;&nbsp;&nbsp;
        </div>

        <!-- <div style="margin:10px 0;">
					<span>银行卡名称：</span>
					<el-input style="width: 200px;" clearable placeholder="请输入银行卡名称" v-model="tixianData.bankCardName">
					</el-input>&nbsp;&nbsp;&nbsp;&nbsp;
				</div>
				<div style="position: relative;margin: 10px 0px;">
					<span>银行卡账号：</span>
					<el-input style="width: 200px;" placeholder="请输入银行卡账号" v-model="tixianData.bankCard">
					</el-input>&nbsp;&nbsp
				</div>
				<div style="margin:10px 0;">
					<span>银行卡姓名：</span>
					<el-input style="width: 200px;" clearable placeholder="请输入银行卡姓名"
						v-model="tixianData.bankCardUserName">
					</el-input>&nbsp;&nbsp;&nbsp;&nbsp;
				</div>
				<div style="position: relative;margin: 10px 0px;">
					<span>开户行地址：</span>
					<el-input style="width: 200px;" placeholder="请输入开户行地址" v-model="tixianData.bankCardAddress">
					</el-input>&nbsp;&nbsp
				</div> -->
        <!-- <div style="margin:10px 0;">
				<span>提现二维码：</span>
				<div
					style=" width:148px;height:148px;background-color: #fbfdff; border: 1px dashed #c0ccda;border-radius: 6px;text-align: center;line-height: 148px;display: inline-block;">
					<el-upload class="avatar-uploader" v-model="tixianData.cashQrCode"
						:action="$http.adornUrl('alioss/upload')" :show-file-list="false"
						:on-success="handleAvatarSuccess1">
						<img v-if="tixianData.cashQrCode" :src="tixianData.cashQrCode" class="avatar"
							style="width: 148px;height: 148px;" />
						<i v-else class="el-icon-plus avatar-uploader-icon" style="font-size: 28px;color: #8c939d"></i>
					</el-upload>
				</div>
			</div> -->
        <el-button
          style="margin: 50px"
          type="primary"
          icon="document"
          :disabled="!isAuth('managementStoreincome:update')"
          @click="querenBtn"
          >确认
        </el-button>
      </el-tab-pane>
      <!-- 缴纳保证金 -->
      <el-dialog title="缴纳保证金" :visible.sync="dialogFormVisible2" center>
        <div
          style="
            padding-left: 115px;
            font-size: 18px;
            color: #333;
            margin-bottom: 15px;
          "
        >
          您还没有缴纳店铺保证金,请先缴纳保证金.
        </div>
        <div style="padding-left: 115px; margin-bottom: 15px">
          <img :src="cashimg" alt="" />
        </div>
        <div style="margin-bottom: 10px">
          <span style="width: 200px; display: inline-block; text-align: right"
            >保证金期限：</span
          >
          <el-radio-group v-model="limitCash">
            <el-radio :label="1">永久期限</el-radio>
            <el-radio :label="2">一年期限</el-radio>
          </el-radio-group>
        </div>
        <div slot="footer" class="dialog-footer">
          <el-button @click="dialogFormVisible2 = false">取 消</el-button>
          <el-button type="primary" @click="cashNoticeTo()"
            >缴纳保证金</el-button
          >
        </div>
      </el-dialog>
      <!-- 申请退款 -->
      <el-dialog title="申请退款" :visible.sync="dialogFormVisible3" center>
        <div style="margin-bottom: 10px">
          <span
            style="
              width: 200px;
              display: inline-block;
              text-align: right;
              position: relative;
              top: -65px;
            "
            >退款理由：</span
          >
          <el-input
            v-model="refund"
            style="width: 45%"
            type="textarea"
            :rows="4"
            placeholder="请输入退款理由"
          >
          </el-input>
        </div>
        <div slot="footer" class="dialog-footer">
          <el-button @click="dialogFormVisible3 = false">取 消</el-button>
          <el-button type="primary" @click="refundNoticeTo()">确定</el-button>
        </div>
      </el-dialog>
      <!-- 修改微信二维码 -->
      <el-dialog
        title="修改微信二维码"
        :visible.sync="dialogFormVisible4"
        center
      >
        <div style="margin-bottom: 10px">
          <span style="width: 200px; display: inline-block; text-align: right"
            >微信提现二维码：</span
          >
          <div
            style="
              width: 148px;
              height: 148px;
              background-color: #fbfdff;
              border: 1px dashed #c0ccda;
              border-radius: 6px;
              text-align: center;
              line-height: 148px;
              margin-left: 200px;
            "
          >
            <el-upload
              class="avatar-uploader"
              v-model="wxImg"
              :action="$http.adornUrl('alioss/upload')"
              :show-file-list="false"
              :on-success="handleAvatarSuccess"
            >
              <img
                v-if="wxImg"
                :src="wxImg"
                class="avatar"
                style="width: 148px; height: 148px"
              />
              <i
                v-else
                class="el-icon-plus avatar-uploader-icon"
                style="font-size: 28px; color: #8c939d"
              ></i>
            </el-upload>
          </div>
        </div>
        <div slot="footer" class="dialog-footer">
          <el-button @click="dialogFormVisible4 = false">取 消</el-button>
          <el-button type="primary" @click="wximgNoticeTo()">确定</el-button>
        </div>
      </el-dialog>
      <!-- 提现 -->
      <el-dialog title="提现" :visible.sync="dialogFormVisible5" center>
        <div style="margin-bottom: 10px">
          <span style="width: 200px; display: inline-block; text-align: right"
            >提现类型：</span
          >
          <el-radio-group v-model="txtype">
            <el-radio :label="1">支付宝</el-radio>
            <el-radio :label="2">微信</el-radio>
          </el-radio-group>
        </div>
        <div slot="footer" class="dialog-footer">
          <el-button @click="dialogFormVisible5 = false">取 消</el-button>
          <el-button type="primary" @click="deposit()">确定</el-button>
        </div>
      </el-dialog>
      <!-- 添加、修改驿站 -->
      <el-dialog :title="titlesYz" :visible.sync="dialogFormVisible6" center>
        <div style="margin-bottom: 10px">
          <span style="width: 200px; display: inline-block; text-align: right"
            >驿站名称：</span
          >
          <el-input
            style="width: 50%"
            v-model="stationNames"
            type="text"
            placeholder="驿站名称"
          ></el-input>
        </div>
        <div style="margin-bottom: 10px">
          <span style="width: 200px; display: inline-block; text-align: right"
            >驿站地址：</span
          >
          <el-input
            style="width: 50%"
            v-model="stationDetails"
            type="text"
            placeholder="请输入驿站地址"
          ></el-input>
        </div>
        <div style="margin-bottom: 10px">
          <span style="width: 200px; display: inline-block; text-align: right"
            >排序：</span
          >
          <el-input
            style="width: 50%"
            v-model="sort"
            type="number"
            min="0"
            placeholder="请输入排序"
          ></el-input>
        </div>
        <div slot="footer" class="dialog-footer">
          <el-button @click="dialogFormVisible6 = false">取 消</el-button>
          <el-button type="primary" @click="refusetoYz()">确 定</el-button>
        </div>
      </el-dialog>
      <!-- 添加、修改金额 -->
      <el-dialog :title="titles" :visible.sync="dialogFormVisibleJes" center>
        <div
          style="margin-bottom: 10px; display: flex"
          v-if="titles == '修改金额'"
        >
          <span style="width: 200px; display: inline-block; text-align: right"
            >修改类型：</span
          >
          <el-radio-group v-model="moneyType">
            <el-radio :label="1">添加</el-radio>
            <el-radio :label="2">减少</el-radio>
          </el-radio-group>
        </div>
        <div style="margin-bottom: 10px">
          <span style="width: 200px; display: inline-block; text-align: right"
            >金额：</span
          >
          <el-input
            style="width: 50%"
            v-model="moneys"
            type="text"
            placeholder="请输入金额"
          ></el-input>
        </div>
        <div slot="footer" class="dialog-footer">
          <el-button @click="dialogFormVisibleJes = false">取 消</el-button>
          <el-button type="primary" @click="timesJe()">确 定</el-button>
        </div>
      </el-dialog>
    </el-tabs>
  </div>
</template>
<script>
import AddOrUpdate from "../modules/sys/user-add-or-updateGr.vue";
export default {
  data() {
    return {
      timer: null,
      msgTime: 60,
      msg: "",
      size: 10,
      page: 1,
      limit: 10,
      id: "",
      title: "",
      refund: "",
      ordersId: "",
      mobile: "",
      money: "",
      outMoney: "",
      orderNum: "",
      status: 0,
      status1: -1,
      sumincome: "",
      totalnum: 0,
      income: "",
      wxincome: "",
      zfbincome: "",
      yueicome: "",
      ordersum0: "",
      ordersum1: "",
      ordersum2: "",
      expressName: "",
      expressNumber: "",
      limitCash: 1,
      number: 1,
      orderType: 5,
      cashimg: "",
      form: {
        zhiFuBao: "",
        zhiFuBaoName: "",
      },
      form1: {
        money: "",
        zhiFuBao: "",
        zhiFuBaoName: "",
        bankCard: "",
        bankCardAddress: "",
        bankCardName: "",
        bankCardUserName: "",
      },
      info: {
        stockDate: this.getNowTime(), //日期
      },
      way: 3,
      ways: [
        {
          value: 3,
          label: "按天查询",
        },
        {
          value: 2,
          label: "按月查询",
        },
        {
          value: 1,
          label: "按年查询",
        },
      ],
      endTime: "",
      newdata: "",
      isshow: false,
      withdrawData: [],
      formLabelWidth: "200px",
      activeName: "first",
      tableDataLoading: false,

      tableDataLoading1: false,
      dialogFormVisible: false,
      dialogFormVisible1: false,
      dialogFormVisible2: false,
      dialogFormVisible3: false,
      dialogFormVisible4: false,
      dialogFormVisible5: false,
      dialogFormVisible6: false,
      tableData: {},
      tableData1: [],
      tableDataYe: {},
      wxImg: "",
      txtype: "",
      detail: {},
      titlesYz: "添加",
      stationNames: "",
      stationDetails: "",
      sort: "",
      stationName: "",
      tixianData: {
        zhiFuBao: "",
        zhiFuBaoName: "",
        bankCard: "",
        bankCardAddress: "",
        bankCardName: "",
        bankCardUserName: "",
      },
      statesnum: [
        {
          label: "全部",
          value: 0,
        },
        {
          label: "待支付",
          value: 1,
        },
        {
          label: "待送达",
          value: 3,
        },
        {
          label: "已完成",
          value: 4,
        },
        {
          label: "已取消",
          value: 5,
        },
      ],
      statesnum1: [
        {
          label: "全部",
          value: -1,
        },
        {
          label: "待支付",
          value: 0,
        },
        {
          label: "进行中",
          value: 1,
        },
        {
          label: "已完成",
          value: 2,
        },
        {
          label: "已取消",
          value: 3,
        },
      ],
      content: "",
      tableDataOrder: {},
      tableDataJz: {},
      totalMoney: 0,
      tableDataUser: {},
      isCampus: "",
      nickName: "",
      userName: "",
      ordersNo: "",
      typeNum: [
        {
          value: "",
          label: "全部",
        },
        {
          value: 1,
          label: "服务订单",
        },
        {
          value: 2,
          label: "会员订单",
        },
      ],
      type: "",
      phone1: "",
      status1: 0,
      gameId: "",
      homeData1: [],
      phone: "",
      campus: "",
      userName: "",
      platformT: "",
      invitationCode: "",
      taskstates: [
        {
          label: "全部",
          value: 0,
        },
        {
          label: "已接单",
          value: 1,
        },
        {
          label: "已送达",
          value: 2,
        },
      ],
      tableData2: {},
      helpCampusId: "",

      // 数据统计----------
      activeNameSj: "first",
      tableData: {
        zhiFuBao: "",
        zhiFuBaoName: "",
      },
      tableData2: {
        list: [],
        totalCount: 0,
      },
      colonelData: [],
      commodityData: [],
      userjfData: [],
      incomeData: [],
      tableDataLoading: true,
      flag: 1,
      usersumData: {},
      taskStat: {},
      orderStat: {},
      profitStat: {},
      data: "",
      time: "",
      platform: "",
      type: "",
      balance: -1,
      flag: 1,
      info: {
        stockDate: this.getNowTime(), //日期
      },
      flags: [
        {
          value: 1,
          label: "按天查询",
        },
        {
          value: 2,
          label: "按月查询",
        },
        {
          value: 3,
          label: "按年查询",
        },
      ],
      rechgeData: {},
      shouyiData: {},
      chatNumDrz: 0,
      chatNumDsm: 0,
      chatNumDts: 0,
      chatNumJjqz: 0,
      chatNumJg: 0,
      chatNumCs: 0,

      totalnum: {},
      sumincome: "",
      income: "",
      wxincome: "",
      zfbincome: "",
      yueicome: "",
      ordersum0: "",
      ordersum1: "",
      ordersum2: "",
      refundIncome: "",
      refundMoney: "",
      refundNum: "",
      tableDataShop: {},
      tableDataUser: {},
      tableDataDlys: {},
      tableDataJs: {},
      tableDataUserZh: {},
      dialogFormVisibleJes: false,
      titles: "",
      moneyType: 1,
      moneys: "",
      usermMoneys: 0,

      // 员工管理
      dataForm: {
        userName: "",
      },
      dataList: [],
      pageIndex: 1,
      pageSize: 10,
      totalPage: 0,
      dataListLoading: false,
      dataListSelections: [],
      addOrUpdateVisible: false,
      tableDataYh: {},
    };
  },
  components: {
    AddOrUpdate,
  },
  filters: {
    numFilter(value) {
      let realVal = "";
      if (!isNaN(value) && value !== "") {
        // 截取当前数据到小数点后两位
        realVal = parseFloat(value).toFixed(2);
      } else {
        realVal = "--";
      }
      return realVal;
    },
  },
  methods: {
    reset() {
      this.msg = "";
	  this.timer = null;
	  cleartimeout(this.timer);
	  this.msgTime = 60;
    },
    sendMsg() {
		if(this.msgTime<60){
			return
		}
      this.$http({
        // url: this.$http.adornUrl('app/Login/sendMsg/'+this.tableData.mobile+'/regis'),
        url: this.$http.adornUrl(
          "app/Login/sendMsg/" + this.tableData.mobile + "/regis"
        ),
        method: "get",
      }).then((res) => {
        console.log(res);
        if (res.data.code == 0) {
          this.$message({
            message: "发送成功",
            type: "success",
          });
		  this.msgTime--;
          this.timer = setInterval(() => {
            this.msgTime--;
            if (this.msgTime == 0) {
              clearInterval(this.timer);
              this.msgTime = 60;
            }
          }, 1000);
        } else {
          this.$message({
            message: "发送失败",
            type: "error",
          });
        }
      });
    },
    // 返回上一级
    prev() {
      this.$router.back();
    },
    handleSizeChange(val) {
      this.size = val;
      this.withdrawSelect();
    },
    handleCurrentChange(val) {
      this.page = val;
      this.withdrawSelect();
    },
    handleSizeChangeYe(val) {
      this.size = val;
      this.dataSelectYe();
    },
    handleCurrentChangeYe(val) {
      this.page = val;
      this.dataSelectYe();
    },
    handleSizeChangeOrd(val) {
      this.limit = val;
      this.dataOrderSelect();
    },
    handleCurrentChangeOrd(val) {
      this.page = val;
      this.dataOrderSelect();
    },
    handleSizeChangeJz(val) {
      this.limit = val;
      this.dataSelectJz();
    },
    handleCurrentChangeJz(val) {
      this.page = val;
      this.dataSelectJz();
    },
    handleSizeChangeWn(val) {
      this.limit = val;
      this.taskdataSelect();
    },
    handleCurrentChangeWn(val) {
      this.page = val;
      this.taskdataSelect();
    },
    //处理默认选中当前日期
    getNowTime() {
      var now = new Date();
      var year = now.getFullYear(); //得到年份
      var month = now.getMonth(); //得到月份
      var date = now.getDate(); //得到日期
      month = month + 1;
      month = month.toString().padStart(2, "0");
      date = date.toString().padStart(2, "0");
      var defaultDate = `${year}-${month}-${date}`;
      return defaultDate;
      this.$set(this.info, "stockDate", defaultDate);
    },
    // 日期选择
    animeDat(value) {
      let vanumber = value;
      if (vanumber === 3) {
        this.moneySelect();
        this.orderSelect();
      }
      if (vanumber === 2) {
        this.moneySelect();
        this.orderSelect();
      }
      if (vanumber === 1) {
        this.moneySelect();
        this.orderSelect();
      }
    },
    timeDate() {
      this.moneySelect();
      this.orderSelect();
    },
    // 详情
    orderDetails(id) {
      this.$router.push({
        path: "/orderDetails",
        query: {
          id: id,
        },
      });
    },
    handleClick(tab, event) {
      this.status = 0;
      this.status1 = -1;
      this.page = 1;
      if (tab._props.label == "代理信息") {
        this.dataSelectUs();
        this.homeSelect();
      }

      if (tab._props.label == "提现记录") {
        this.withdrawSelect();
      }
      if (tab._props.label == "钱包明细") {
        this.dataSelectYe();
      }
      if (tab._props.label == "提现账号") {
        console.log(this.tixianData);
        this.dataSelectUs();
      }
      if (tab._props.label == "数据统计") {
        this.colonel();
        this.taskData();
        this._getData(); //用户统计
        this.incomeSelect();
      }
      if (tab._props.label == "员工管理") {
        this.dataSelectYg();
      }
      if (tab._props.label == "用户列表") {
        this.dataSelectYonghu();
      }
    },
    // 申请退款
    gorefund(row) {
      // Date.parse(scope.row.endTime)
      let newdate = new Date();
      if (Date.parse(row.endTime) < newdate) {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "保证金已过期",
          type: "warning",
        });
        return;
      }
      if (row.refundStartTime !== null && row.refundStartTime !== "") {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "已申请退款",
          type: "warning",
        });
        return;
      }
      this.dialogFormVisible3 = true;
      this.ordersId = row.orderId;
    },
    refundNoticeTo() {
      if (this.refund == "") {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请输入退款理由",
          type: "warning",
        });
        return;
      }
      this.$http({
        url: this.$http.adornUrl("orders/refund"),
        method: "get",
        params: this.$http.adornParams({
          ordersId: this.ordersId,
        }),
      }).then(({ data }) => {
        if (data.status == 0) {
          this.$message({
            message: "退款申请成功",
            type: "success",
            duration: 1500,
            onClose: () => {
              this.dialogFormVisible3 = false;
              this.dataSelect1();
            },
          });
        } else {
          this.$message({
            message: data.msg,
            type: "warning",
            duration: 1500,
            onClose: () => {},
          });
        }
      });
    },
    // 申请提现
    depositType(row) {
      if (
        this.tableData.zhiFuBao &&
        this.tableData.zhiFuBao != "" &&
        this.tableData.zhiFuBaoName &&
        this.tableData.zhiFuBaoName != ""
      ) {
        this.txtype = 1;
        this.outMoney = "";
        this.form1.zhiFuBao = this.tableData.zhiFuBao;
        this.form1.zhiFuBaoName = this.tableData.zhiFuBaoName;
        // this.form1.money = this.tableData.money
        // this.form1.bankCard = this.tableData.bankCard
        // this.form1.bankCardAddress = this.tableData.bankCardAddress
        // this.form1.bankCardName = this.tableData.bankCardName
        // this.form1.bankCardUserName = this.tableData.bankCardUserName
        this.dialogFormVisible1 = true;
      } else {
        if (this.txtype == "") {
          this.$notify({
            title: "提示",
            duration: 1800,
            message: "请先完善提现账号信息",
            type: "warning",
          });
          return;
        }
      }
    },
    // 提现
    deposit() {
      if (this.txtype == "") {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请选择提现方式",
          type: "warning",
        });
        return;
      }
      console.log("this.txtype", this.txtype);
      if (this.txtype == 1) {
        let banStatus = this.$cookie.get("banStatus");
        let marginStatus = this.$cookie.get("marginStatus");
        if (banStatus == 2) {
          this.$message({
            message: "您的店铺出现违规情况，已被封禁，请联系总后台解封",
            type: "error",
            duration: 3500,
          });
          return;
        }
        if (marginStatus == 1 && this.cashvalue == 1) {
          this.dialogFormVisible2 = true;
          this.cashdead();
          return;
        }
        if (parseFloat(this.usermMoneys) < 1) {
          this.$notify({
            title: "提示",
            duration: 1800,
            message: "可提现金额不足",
            type: "warning",
          });
          return;
        }
        if (this.tableData.zhiFuBao == null || this.tableData.zhiFuBao == "") {
          this.$notify({
            title: "提示",
            duration: 1800,
            message: "请先完善支付宝信息",
            type: "warning",
          });
          return;
        }
        if (
          this.tableData.zhiFuBaoName == null ||
          this.tableData.zhiFuBaoName == ""
        ) {
          this.$notify({
            title: "提示",
            duration: 1800,
            message: "请先完善支付宝信息",
            type: "warning",
          });
          return;
        }
        // if (this.tableData.bankCard == null || this.tableData.bankCard == '') {
        // 	this.$notify({
        // 		title: '提示',
        // 		duration: 1800,
        // 		message: '请先完善银行卡信息',
        // 		type: 'warning'
        // 	});
        // 	return
        // }
        // if (this.tableData.bankCardAddress == null || this.tableData.bankCardAddress == '') {
        // 	this.$notify({
        // 		title: '提示',
        // 		duration: 1800,
        // 		message: '请先完善银行卡信息',
        // 		type: 'warning'
        // 	});
        // 	return
        // }
        // if (this.tableData.bankCardName == null || this.tableData.bankCardName == '') {
        // 	this.$notify({
        // 		title: '提示',
        // 		duration: 1800,
        // 		message: '请先完善银行卡信息',
        // 		type: 'warning'
        // 	});
        // 	return
        // }
        // if (this.tableData.bankCardUserName == null || this.tableData.bankCardUserName == '') {
        // 	this.$notify({
        // 		title: '提示',
        // 		duration: 1800,
        // 		message: '请先完善银行卡信息',
        // 		type: 'warning'
        // 	});
        // 	return
        // }

        this.dialogFormVisible1 = true;
        this.form1.zhiFuBao = this.tableData.zhiFuBao;
        this.form1.zhiFuBaoName = this.tableData.zhiFuBaoName;
        // this.form1.money = this.tableData.money

        // this.form1.bankCard = this.tableData.bankCard
        // this.form1.bankCardAddress = this.tableData.bankCardAddress
        // this.form1.bankCardName = this.tableData.bankCardName
        // this.form1.bankCardUserName = this.tableData.bankCardUserName

        this.outMoney = this.usermMoneys;
      } else {
        // this.form1.money = this.tableData.money
        this.outMoney = this.usermMoneys;
        this.depositTo();
      }
      // }
    },
    // 获取保证金期限
    cashdead() {
      this.$http({
        url: this.$http.adornUrl("self/margin/marginList"),
        method: "post",
        data: this.$http.adornData({}),
      }).then(({ data }) => {
        let returnData = data.data;
        this.price1 = returnData.price1;
        this.price2 = returnData.price2;
      });
    },
    // 缴纳保证金
    cashNoticeTo() {
      this.title = "多商户保证金：";
      if (this.limitCash == 1) {
        this.cashMoney = this.price1;
        this.type = 1;
      } else {
        this.cashMoney = this.price2;
        this.type = 2;
      }
      this.$http({
        url: this.$http.adornUrl("orders/save"),
        method: "post",
        data: this.$http.adornData({
          number: this.number,
          orderType: this.orderType,
          payMoney: this.cashMoney,
          storeMoney: this.cashMoney,
          price: this.cashMoney,
          title: this.title + this.cashMoney,
          img: this.cashimg,
          merchantId: this.merchantId,
          storeName: this.storeName,
          consignee: this.storeName,
          mobile: this.mobile,
          detail: this.detail,
          type: this.type,
        }),
      }).then(({ data }) => {
        let returnData = data.data;
        this.orderId = returnData.id;
        this.dialogFormVisible = false;
        this.title = "";
        this.paySelect(this.orderId);
      });
    },
    // 支付宝支付
    paySelect(id) {
      this.$http({
        url: this.$http.adornUrl("aliPay/payWeb"),
        method: "get",
        params: this.$http.adornParams({
          orderId: id,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        let text = this.$router.resolve({
          path: "/alipay",
          query: {
            htmls: returnData.body,
          },
        });
        // 打开一个新的页面
        window.open(text.href, "_blank");
      });
    },
    // 提现申请
    depositTo() {
      if (this.txtype == "") {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请选择提现方式",
          type: "warning",
        });
        return;
      }
      if (!this.msg) {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请输入验证码！",
          type: "warning",
        });
        return;
      }

      if (this.outMoney > this.usermMoneys) {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "提现金额不足",
          type: "warning",
        });
        return;
      }
      if (this.outMoney < 1) {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "提现金额不能小于1",
          type: "warning",
        });
        return;
      }
      // this.tableDataLoading1 = true
      let userId = this.$cookie.get("userId");
      this.$http({
        // url: this.$http.adornUrl('cash/cashMoney'),
        url: this.$http.adornUrl("cash/withdraw"),
        method: "get",
        params: this.$http.adornParams({
          money: this.outMoney,
          userId: userId,
          msg: this.msg,
          classify: this.txtype,
        }),
      }).then(({ data }) => {
        if (data.code == 0) {
          this.$message({
            message: "提现申请成功",
            type: "success",
            duration: 1500,
            onClose: () => {
              this.dialogFormVisible1 = false;
              this.tableDataLoading1 = false;
              this.dataSelectUs();
              this.homeSelect();
              this.withdrawSelect();
            },
          });
        } else {
          this.$message({
            message: data.msg,
            type: "warning",
            duration: 1500,
            onClose: () => {},
          });
        }
      });
    },
    // 修改支付宝信息弹框
    updatesZfb(row) {
      let banStatus = this.$cookie.get("banStatus");
      if (banStatus == 2) {
        this.$message({
          message: "您的店铺出现违规情况，已被封禁，请联系总后台解封",
          type: "error",
          duration: 3500,
        });
      } else {
        this.dialogFormVisible = true;
        this.form.zhiFuBao = row.zhiFuBao;
        this.form.zhiFuBaoName = row.zhiFuBaoName;
      }
    },

    // 修改支付宝信息
    amendNoticeTo() {
      if (this.form.zhiFuBao == "") {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请输入支付宝账号",
          type: "warning",
        });
        return;
      }
      if (this.form.zhiFuBaoName == "") {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请输入支付宝名称",
          type: "warning",
        });
        return;
      }
      let sysUserId = this.$cookie.get("userId");
      this.$http({
        url: this.$http.adornUrl("sys/user/updateCampusUser"),
        method: "post",
        data: this.$http.adornData({
          userId: sysUserId,
          zhiFuBao: this.form.zhiFuBao,
          zhiFuBaoName: this.form.zhiFuBaoName,
        }),
      }).then(({ data }) => {
        if (data.code == 0) {
          this.$message({
            message: "修改成功",
            type: "success",
            duration: 1500,
            onClose: () => {
              this.dialogFormVisible = false;
              this.dataSelectUs();
              this.withdrawSelect();
            },
          });
        } else {
          this.$message({
            message: data.msg,
            type: "warning",
            duration: 1500,
            onClose: () => {},
          });
        }
      });
    },
    // 收入金额统计
    moneySelect() {
      let storeId = this.$cookie.get("storeId");
      let page = this.page - 1;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("orders/income"),
        method: "get",
        params: this.$http.adornParams({
          data: this.info.stockDate,
          way: this.way,
          storeId: storeId,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.sumincome = returnData.sum0;
        this.income = returnData.sum1;
        this.wxincome = returnData.pay1;
        this.zfbincome = returnData.pay2;
        this.yueicome = returnData.pay3;
      });
    },
    // 订单成交量统计
    orderSelect() {
      let storeId = this.$cookie.get("storeId");
      let page = this.page - 1;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("orders/statistical"),
        method: "get",
        params: this.$http.adornParams({
          data: this.info.stockDate,
          storeId: storeId,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.ordersum0 = returnData.sum0;
        this.ordersum1 = returnData.sum1;
        this.ordersum2 = returnData.sum2;
      });
    },
    // 获取钱包信息
    dataSelectUs() {
      let userId = this.$cookie.get("userId");
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("sys/user/info"),
        method: "get",
        params: this.$http.adornParams({}),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.user;
        this.tableData = returnData;
        this.tixianData = returnData;
        if (returnData.zhiFuBaoName) {
          this.tixianData.zhiFuBaoName = returnData.zhiFuBaoName;
        } else {
          this.tixianData.zhiFuBaoName = "";
        }
        if (returnData.zhiFuBao) {
          this.tixianData.zhiFuBao = returnData.zhiFuBao;
        } else {
          this.tixianData.zhiFuBao = "";
        }
        // if (returnData.bankCard) {
        // 	this.tixianData.bankCard = returnData.bankCard
        // } else {
        // 	this.tixianData.bankCard = ''
        // }
        // if (returnData.bankCardAddress) {
        // 	this.tixianData.bankCardAddress = returnData.bankCardAddress
        // } else {
        // 	this.tixianData.bankCardAddress = ''
        // }
        // if (returnData.bankCardName) {
        // 	this.tixianData.bankCardName = returnData.bankCardName
        // } else {
        // 	this.tixianData.bankCardName = ''
        // }
        // if (returnData.bankCardUserName) {
        // 	this.tixianData.bankCardUserName = returnData.bankCardUserName
        // } else {
        // 	this.tixianData.bankCardUserName = ''
        // }
        // this.helpCampusId = data.user.helpCampusId
      });
    },
    // 提现记录
    withdrawSelect() {
      let sysUserId = this.$cookie.get("userId");

      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("cash/selectPayDetails"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.size,
          sysUserId: sysUserId,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.withdrawData = returnData;
      });
    },

    // 获取保证金列表数据
    dataSelect1() {
      let storeId = this.$cookie.get("storeId");
      let page = this.page - 1;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("self/margin/storeList"),
        method: "get",
        params: this.$http.adornParams({
          page: page,
          size: this.size,
          storeId: storeId,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.tableData1 = returnData;
        let onedata = new Date();
        this.newdata = onedata.getTime();
        // let enTime = returnData.endTime
        // this.endTime = enTime.getTime()
        console.log(this.newdata);
        // console.log(this.endTime)
      });
    },
    // 钱包明细
    dataSelectYe() {
      let sysUserId = this.$cookie.get("userId");
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("moneyDetails/queryUserMoneyDetails"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.size,
          sysUserId: sysUserId,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.tableDataYe = returnData;
      });
    },
    // 修改二维码
    updatesEwm(row) {
      this.wxImg = row.wxImg;

      this.dialogFormVisible4 = true;
    },
    handleAvatarSuccess(file, fileList) {
      this.wxImg = file.data;
    },
    // 确认修改二维码
    wximgNoticeTo() {
      let merchantId = this.$cookie.get("merchantId");
      this.$http({
        url: this.$http.adornUrl("self/merchantApply/updateWx"),
        method: "get",
        params: this.$http.adornParams({
          merchantId: merchantId,
          wxImg: this.wxImg,
        }),
      }).then(({ data }) => {
        if (data.status == 0) {
          this.$message({
            message: "修改成功",
            type: "success",
            duration: 1500,
            onClose: () => {
              this.dialogFormVisible4 = false;
              this.dataSelectUs();
            },
          });
        } else {
          this.$message({
            message: data.msg,
            type: "warning",
            duration: 1500,
            onClose: () => {},
          });
        }
      });
    },

    // 提现二维码
    handleAvatarSuccess1(file, fileList) {
      this.tixianData.cashQrCode = file.data;
      console.log("this.tixianData.cashQrCode", this.tixianData.cashQrCode);
    },
    querenBtn() {
      if (this.tableData.zhiFuBaoName == "" || !this.tableData.zhiFuBaoName) {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请输入支付宝名称",
          type: "warning",
        });
        return;
      }
      if (this.tableData.zhiFuBao == "" || !this.tableData.zhiFuBao) {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请输入支付宝账号",
          type: "warning",
        });
        return;
      }
      // if (this.tixianData.bankCardName == '' || !this.tixianData.bankCardName) {
      // 	this.$notify({
      // 		title: '提示',
      // 		duration: 1800,
      // 		message: '请输入银行卡名称',
      // 		type: 'warning'
      // 	})
      // 	return
      // }
      // if (this.tixianData.bankCard == '' || !this.tixianData.bankCard) {
      // 	this.$notify({
      // 		title: '提示',
      // 		duration: 1800,
      // 		message: '请输入银行卡账号',
      // 		type: 'warning'
      // 	})
      // 	return
      // }
      // if (this.tixianData.bankCardUserName == '' || !this.tixianData.bankCardUserName) {
      // 	this.$notify({
      // 		title: '提示',
      // 		duration: 1800,
      // 		message: '请输入银行卡姓名',
      // 		type: 'warning'
      // 	})
      // 	return
      // }
      // if (this.tixianData.bankCardAddress == '' || !this.tixianData.bankCardAddress) {
      // 	this.$notify({
      // 		title: '提示',
      // 		duration: 1800,
      // 		message: '请输入开户行地址',
      // 		type: 'warning'
      // 	})
      // 	return
      // }
      // if (this.tixianData.cashQrCode == ''||!this.tixianData.cashQrCode) {
      // 	this.$notify({
      // 		title: '提示',
      // 		duration: 1800,
      // 		message: '请上传提现二维码',
      // 		type: 'warning'
      // 	})
      // 	return
      // }
      let userId = this.$cookie.get("userId");
      this.$http({
        url: this.$http.adornUrl("sys/user/update"),
        method: "post",
        data: this.$http.adornData(
          this.tableData
          // {
          // 	'zhiFuBao': this.tixianData.zhiFuBao,
          // 	'zhiFuBaoName': this.tixianData.zhiFuBaoName,
          // 	'bankCard': this.tixianData.bankCard,
          // 	'bankCardAddress': this.tixianData.bankCardAddress,
          // 	'bankCardName': this.tixianData.bankCardName,
          // 	'bankCardUserName': this.tixianData.bankCardUserName,
          // 	'userId': userId,
          // 	'cityAgency': 1
          // 	// 'cashQrCode': this.tixianData.cashQrCode
          // }
        ),
      }).then(({ data }) => {
        if (data.code == 0) {
          this.$message({
            message: "操作成功",
            type: "success",
            duration: 1500,
            onClose: () => {
              this.dataSelectUs();
            },
          });
        } else {
          this.$message({
            message: data.msg,
            type: "warning",
            duration: 1500,
            onClose: () => {},
          });
        }
      });
    },
    // 获取订单数据列表
    dataOrderSelect() {
      let sysUserId = this.$cookie.get("userId");
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("help/selectStatusHelpOrders"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.limit,
          phone: this.phone,
          status: this.status,
          content: this.content,
          campus: sysUserId,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        for (var i in data.data.list) {
          if (data.data.list[i].image) {
            data.data.list[i].images = data.data.list[i].image.split("^^^");
          }
          if (data.data.list[i].expressMsg) {
            data.data.list[i].expressMsgs =
              data.data.list[i].expressMsg.split("^^^");
          }
          var msgArr = [];
          if (data.data.list[i].images) {
            for (var j in data.data.list[i].images) {
              if (data.data.list[i].expressMsgs) {
                for (var k in data.data.list[i].expressMsgs) {
                  if (j == k) {
                    var magDate = {};
                    magDate.img = data.data.list[i].images[j];
                    magDate.text = data.data.list[i].expressMsgs[k];
                    console.log(
                      "data.data.list[i].expressMsgs",
                      data.data.list[i].expressMsgs[k]
                    );
                  }
                }
                msgArr.push(magDate);
              } else {
                for (var k in data.data.list[i].images) {
                  var magDate = {};
                  magDate.text = "";
                  magDate.img = data.data.list[i].images[k];
                  console.log(
                    "data.data.list[i].expressMsgs",
                    data.data.list[i].images[k]
                  );
                }
                msgArr.push(magDate);
              }
            }
          } else {
            for (var k in data.data.list[i].expressMsgs) {
              var magDate = {};
              magDate.img = "";
              magDate.text = data.data.list[i].expressMsgs[k];
              // console.log('data.data.list[i].expressMsgs',data.data.list[i].expressMsgs[k])
            }
            msgArr.push(magDate);
          }

          data.data.list[i].xinxi = msgArr;
          console.log("data.data.list[i].xinxi", i);
        }
        // for (var i in data.data.list) {
        // 	if (data.data.list[i].image) {
        // 		data.data.list[i].image = data.data.list[i].image.split(',')
        // 	}
        // }
        let returnData = data.data;
        this.tableDataOrder = returnData;
        console.log("...", this.tableDataOrder);
      });
    },
    // 获取家政订单数据列表
    dataSelectJz() {
      this.totalMoney = 0;
      this.tableDataLoading = true;
      let userId = this.$cookie.get("userId");
      this.$http({
        url: this.$http.adornUrl("orders/queryOrders"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.limit,
          type: this.type,
          name: this.userName,
          status: this.status1,
          ordersNo: this.ordersNo,
          sysUserId: userId,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.tableDataJz = returnData;
        for (var i in this.tableDataJz.list) {
          this.tableDataJz.list[i].goodsPriceZ = 0;
          this.totalMoney = this.totalMoney + this.tableDataJz.list[i].payMoney;
        }
        this.totalMoney = this.totalMoney.toFixed(2);
      });
    },
    // 详情跳转
    updates(userId) {
      if (userId) {
        this.$router.push({
          path: "/userDetail",
          query: {
            userId: userId,
          },
        });
      }
    },
    // 获取数据列表
    dataSelectUser() {
      this.tableDataLoading = true;
      let sysUserId = this.$cookie.get("userId");
      this.$http({
        url: this.$http.adornUrl("user/selectUserList"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.limit,
          phone: this.phone,
          campus: this.helpCampusId,
          isCampus: this.isCampus,
          nickName: this.nickName,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.tableDataUser = returnData;
      });
    },
    // 设置为小区服务人
    updates1(row) {
      let delid = row.userId;
      // this.$confirm(`确定进行此操作?`, '提示', {
      // 	confirmButtonText: '确定',
      // 	cancelButtonText: '取消',
      // 	type: 'warning'
      // }).then(() => {
      this.$http({
        url: this.$http.adornUrl("user/updateIsCampus"),
        method: "get",
        params: this.$http.adornParams({
          userId: row.userId,
        }),
      }).then(({ data }) => {
        this.$message({
          message: "操作成功",
          type: "success",
          duration: 1500,
          onClose: () => {
            this.dataSelectUser();
          },
        });
      });
      // })
    },
    // 状态
    change(val, userId) {
      this.$http({
        url: this.$http.adornUrl(`user/updateUserStateById?userId=${userId}`),
        method: "post",
        data: this.$http.adornData({}),
      }).then(({ data }) => {
        this.$message({
          message: "操作成功",
          type: "success",
          duration: 1500,
          onClose: () => {
            this.dataSelectUser();
          },
        });
      });
    },
    // select选择事件
    animeDatjz(state) {
      this.page = 1;
      this.dataSelectJz();
    },
    selectjz() {
      this.page = 1;
      this.dataSelectJz();
    },
    cleansjz() {
      this.page = 1;
      this.type = "";
      this.userName = "";
      this.status1 = -1;
      this.ordersNo = "";
      this.dataSelectJz();
    },
    animeDatDd(state) {
      this.page = 1;
      this.dataOrderSelect();
    },
    selectDd() {
      this.page = 1;
      this.dataOrderSelect();
    },
    cleansDd() {
      this.page = 1;
      this.phone = "";
      this.status = 0;
      this.content = "";
      this.dataOrderSelect();
    },
    // 获取万能订单数据列表
    taskdataSelect() {
      this.totalMoney = 0;
      this.tableDataLoading = true;
      let sysUserId = window.localStorage.getItem("sysUserId");
      this.$http({
        url: this.$http.adornUrl("helps/selectHelpTakeList"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.limit,
          phone: this.phone1,
          status: this.status1,
          gameId: this.gameId,
          sysUserId: sysUserId,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.tableData2 = returnData;
        for (var i in this.tableData2.list) {
          this.tableData2.list[i].goodsPriceZ = 0;
          this.totalMoney = this.totalMoney + this.tableData2.list[i].money;
        }
        this.totalMoney = this.totalMoney.toFixed(2);
      });
    },
    // 手机号搜索
    phoneSelect() {
      this.page = 1;
      this.limit = 10;
      this.taskdataSelect();
    },
    // 重置
    cleans2() {
      this.phone1 = "";
      this.status1 = 0;
      this.gameId = "";
      this.taskdataSelect();
    },
    animeDat2(state) {
      this.page = 1;
      this.taskdataSelect();
    },
    // 获取钱包
    homeSelect() {
      let sysUserId = this.$cookie.get("userId");
      this.$http({
        url: this.$http.adornUrl("moneyDetails/selectSysUserMoney"),
        method: "get",
        params: this.$http.adornParams({
          userId: sysUserId,
        }),
      }).then(({ data }) => {
        let returnData = data.data;
        console.log("res.data");
        console.log(data.data);
        this.usermMoneys = data.data.amount;
        console.log(this.usermMoneys);
      });
    },

    // 数据统计-----------------
    // Tabs点击事件
    handleClickSj(tab, event) {
      this.page = 1;
      if (tab._props.label == "用户分析") {
        this.taskData();
      }
      if (tab._props.label == "订单统计") {
        this.colonel();
      }
      if (tab._props.label == "项目收益") {
        this.incomeSelect();
      }
      if (tab._props.label == "收益统计") {
        this.shouyiSelect();
      }
      if (tab._props.label == "充值统计") {
        // this.info.stockDate = this.getNowTime()
        this.rechSelect();
      }
      if (tab._props.label == "待处理事项") {
        this.dataSelect();
        this.dataSelectPy();
        this.dataSelectJjqz();
        this.dataSelectYh();
        this.dataSelectJg();
        this.dataSelectCs();
      }
      if (tab._props.label == "自营订单统计") {
        this.moneySelect();
        this.orderSelect();
      }
      if (tab._props.label == "商家抽成统计") {
        this.shopSelect();
      }
      if (tab._props.label == "用户代理抽成统计") {
        this.UserSelect();
      }
      if (tab._props.label == "技师代理抽成统计") {
        this.DlysSelect();
      }
      if (tab._props.label == "技师抽成") {
        this.JsSelect();
      }
      if (tab._props.label == "用户转化统计") {
        this.UserZhSelect();
      }
    },
    // 订单分析选择日期
    animeOrder() {
      this.taskData();
      this.colonel();
      this.incomeSelect();
      this.shouyiSelect();
      this.rechSelect();
      this.moneySelect();
      this.orderSelect();
      this.shopSelect();
      this.UserSelect();
      this.DlysSelect();
      this.JsSelect();
      // this.UserZhSelect()
    },
    // 订单分析年月日
    orderfenxi(value) {
      let vanumber = value;
      if (vanumber === 1) {
        this.flag = 1;
        this.taskData();
        this.colonel();
        this.incomeSelect();
        this.shouyiSelect();
        this.rechSelect();
        this.moneySelect();
        this.orderSelect();
        this.shopSelect();
        this.UserSelect();
        this.DlysSelect();
        this.JsSelect();
        // this.UserZhSelect()
      }
      if (vanumber === 2) {
        this.flag = 2;
        this.taskData();
        this.colonel();
        this.incomeSelect();
        this.shouyiSelect();
        this.rechSelect();
        this.moneySelect();
        this.orderSelect();
        this.shopSelect();
        this.UserSelect();
        this.DlysSelect();
        this.JsSelect();
        // this.UserZhSelect()
      }
      if (vanumber === 3) {
        this.flag = 3;
        this.taskData();
        this.colonel();
        this.incomeSelect();
        this.shouyiSelect();
        this.rechSelect();
        this.moneySelect();
        this.orderSelect();

        this.shopSelect();
        this.UserSelect();
        this.DlysSelect();
        this.JsSelect();
        // this.UserZhSelect()
      }
    },
    //处理默认选中当前日期
    getNowTime() {
      var now = new Date();
      var year = now.getFullYear(); //得到年份
      var month = now.getMonth(); //得到月份
      var date = now.getDate(); //得到日期
      var hh = now.getHours() < 10 ? "0" + now.getHours() : now.getHours();
      var mm =
        now.getMinutes() < 10 ? "0" + now.getMinutes() : now.getMinutes();
      var ss =
        now.getSeconds() < 10 ? "0" + now.getSeconds() : now.getSeconds();
      month = month + 1;
      month = month.toString().padStart(2, "0");
      date = date.toString().padStart(2, "0");
      var defaultDate = `${year}-${month}-${date} ${hh}:${mm}:${ss}`;
      return defaultDate;
      this.$set(this.info, "stockDate", defaultDate);
    },
    // 用户统计
    _getData() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("user/homeMessage"),
        method: "get",
        params: this.$http.adornParams({
          city: city,
        }),
      }).then(({ data }) => {
        if (data.code == 0) {
          let returnData = data.data;
          this.tableData = returnData;
        }
      });
    },
    // 收入统计
    incomeSelect() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("user/selectOrdersMoney"),
        method: "get",
        params: this.$http.adornParams({
          date: this.info.stockDate,
          type: this.flag,
          city: city,
        }),
      }).then(({ data }) => {
        if (data.code == 0) {
          let returnData = data.data;
          this.profitStat = returnData;
        }
      });
    },
    //用户分析（下）
    taskData() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("user/selectUserMessage"),
        method: "get",
        params: this.$http.adornParams({
          date: this.info.stockDate,
          type: this.flag,
          city: city,
        }),
      }).then(({ data }) => {
        let returnData = data.data;
        this.taskStat = returnData;
      });
    },
    // 订单统计
    colonel() {
      var city = this.tixianData.city;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("user/selectCountOrders"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.limit,
          date: this.info.stockDate,
          type: this.flag,
          city: city,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        if (data.code == 0) {
          let returnData = data.data;
          this.orderStat = returnData;
        }
      });
    },
    // 充值统计
    rechSelect() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("cash/payMember"),
        method: "get",
        params: this.$http.adornParams({
          time: this.info.stockDate,
          flag: this.flag,
          city: city,
        }),
      }).then(({ data }) => {
        if (data.code == 0) {
          let returnData = data.data;
          this.rechgeData = returnData;
        }
      });
    },
    // 收益统计
    shouyiSelect() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("user/selectMoneyCount"),
        method: "get",
        params: this.$http.adornParams({
          date: this.info.stockDate,
          type: this.flag,
          city: city,
        }),
      }).then(({ data }) => {
        if (data.code == 0) {
          let returnData = data.data;
          this.shouyiData = returnData;
        }
      });
    },

    // 收入金额统计
    moneySelect() {
      var city = this.tixianData.city;
      let page = this.page - 1;
      this.tableDataLoading = true;
      if (this.flag == 1) {
        var way = 3;
      }
      if (this.flag == 2) {
        var way = 2;
      }
      if (this.flag == 3) {
        var way = 1;
      }
      this.$http({
        url: this.$http.adornUrl("orders/income"),
        method: "get",
        params: this.$http.adornParams({
          data: this.info.stockDate,
          way: way,
          city: city,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.sumincome = returnData.sum0;
        this.income = returnData.sum1;
        this.wxincome = returnData.pay1;
        this.zfbincome = returnData.pay2;
        this.yueicome = returnData.pay3;
        this.refundIncome = returnData.refundIncome;
        this.refundMoney = returnData.refundMoney;
        this.refundNum = returnData.refundNum;
      });
    },
    // 订单成交量统计
    orderSelect() {
      var city = this.tixianData.city;
      let page = this.page - 1;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("orders/statistical"),
        method: "get",
        params: this.$http.adornParams({
          data: this.info.stockDate,
          city: city,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        let returnData = data.data;
        this.ordersum0 = returnData.sum0;
        this.ordersum1 = returnData.sum1;
        this.ordersum2 = returnData.sum2;
      });
    },
    // 商家抽成统计
    shopSelect() {
      var city = this.tixianData.city;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("artificer/selectShopMoney"),
        method: "get",
        params: this.$http.adornParams({
          time: this.info.stockDate,
          flag: this.flag,
          page: this.page,
          limit: this.limit,
          userName: "",
          city: city,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        this.tableDataShop = data.data;
      });
    },
    // 用户代理抽成统计
    UserSelect() {
      var city = this.tixianData.city;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("artificer/selectOneUserMoney"),
        method: "get",
        params: this.$http.adornParams({
          time: this.info.stockDate,
          flag: this.flag,
          page: this.page,
          limit: this.limit,
          userName: "",
          city: city,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        this.tableDataUser = data.data;
      });
    },
    // 技师代理抽成统计
    DlysSelect() {
      var city = this.tixianData.city;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("artificer/selectOneArtificerMoney"),
        method: "get",
        params: this.$http.adornParams({
          time: this.info.stockDate,
          flag: this.flag,
          page: this.page,
          limit: this.limit,
          userName: "",
          city: city,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        this.tableDataDlys = data.data;
      });
    },
    // 技师抽成
    JsSelect() {
      var city = this.tixianData.city;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("artificer/selectArtificerMoney"),
        method: "get",
        params: this.$http.adornParams({
          time: this.info.stockDate,
          flag: this.flag,
          page: this.page,
          limit: this.limit,
          userName: "",
          city: city,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        this.tableDataJs = data.data;
      });
    },
    // 用户转化统计
    UserZhSelect() {
      var city = this.tixianData.city;
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("artificer/selectNewUserOrdersCount"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.limit,
          userName: "",
          phone: "",
          city: city,
        }),
      }).then(({ data }) => {
        this.tableDataLoading = false;
        this.tableDataUserZh = data.data;
      });
    },
    handleSizeChangeShop(val) {
      this.limit = val;
      this.shopSelect();
    },
    handleCurrentChangeShop(val) {
      this.page = val;
      this.shopSelect();
    },
    handleSizeChangeUser(val) {
      this.limit = val;
      this.UserSelect();
    },
    handleCurrentChangeUser(val) {
      this.page = val;
      this.UserSelect();
    },
    handleSizeChangeDlys(val) {
      this.limit = val;
      this.DlysSelect();
    },
    handleCurrentChangeDlys(val) {
      this.page = val;
      this.DlysSelect();
    },
    handleSizeChangeJs(val) {
      this.limit = val;
      this.JsSelect();
    },
    handleCurrentChangeJs(val) {
      this.page = val;
      this.JsSelect();
    },
    handleSizeChangeUserZh(val) {
      this.limit = val;
      this.UserZhSelect();
    },
    handleCurrentChangeUserZh(val) {
      this.page = val;
      this.UserZhSelect();
    },
    // 获取实名认证待审核数据
    dataSelect() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("admin/realname/selectRealNameCount"),
        method: "get",
        params: this.$http.adornParams({
          city: city,
        }),
      }).then(({ data }) => {
        if (data.data >= 0) {
          this.chatNumDrz = data.data;
        }
      });
    },
    // 获取投诉待审核数据
    dataSelectPy() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("message/selectMessageCount"),
        method: "get",
        params: this.$http.adornParams({
          state: 7,
          city: city,
        }),
      }).then(({ data }) => {
        if (data.data >= 0) {
          this.chatNumDts = data.data;
        }
      });
    },
    // 获取紧急求助待审核数据
    dataSelectJjqz() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("message/selectMessageCount"),
        method: "get",
        params: this.$http.adornParams({
          state: 9,
          city: city,
        }),
      }).then(({ data }) => {
        if (data.data >= 0) {
          this.chatNumJjqz = data.data;
        }
      });
    },
    // 获取代理待审核数据
    dataSelectYh() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("apply/selectApplyCount"),
        method: "get",
        params: this.$http.adornParams({
          city: city,
        }),
      }).then(({ data }) => {
        if (data.data >= 0) {
          this.chatNumDsm = data.data;
        }
      });
    },
    // 获取警告订单数据
    dataSelectJg() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("artificer/selectWarningOrdersCount"),
        method: "get",
        params: this.$http.adornParams({
          city: city,
        }),
      }).then(({ data }) => {
        if (data.data >= 0) {
          this.chatNumJg = data.data;
        }
      });
    },
    // 获取超时订单数据
    dataSelectCs() {
      var city = this.tixianData.city;
      this.$http({
        url: this.$http.adornUrl("artificer/selectOverTimeOrdersCount"),
        method: "get",
        params: this.$http.adornParams({}),
      }).then(({ data }) => {
        if (data.data >= 0) {
          this.chatNumCs = data.data;
        }
      });
    },
    // 修改金额弹框
    depositTx() {
      this.titles = "修改金额";
      this.moneyType = 1;
      this.moneys = "";
      this.dialogFormVisibleJes = true;
    },
    // 添加、修改师傅金额
    timesJe() {
      if (this.moneyType === "") {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请选择修改类型",
          type: "warning",
        });
        return;
      }
      if (this.moneys === "") {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "请输入金额",
          type: "warning",
        });
        return;
      }
      if (Number(this.moneys) <= 0) {
        this.$notify({
          title: "提示",
          duration: 1800,
          message: "金额必须大于0",
          type: "warning",
        });
        return;
      }
      let sysUserId = this.$cookie.get("userId");
      var datas = {};
      datas.money = this.moneys;
      datas.userId = sysUserId;
      datas.type = this.moneyType;
      this.$http({
        url: this.$http.adornUrl("user/updateSysUserMoney"),
        method: "post",
        params: this.$http.adornParams(datas),
      }).then(({ data }) => {
        if (data.code == 0) {
          this.$message({
            message: "操作成功",
            type: "success",
            duration: 1500,
            onClose: () => {
              this.dialogFormVisibleJes = false;
              this.dataSelectUs();
              this.homeSelect();
            },
          });
        } else {
          this.$message({
            message: data.msg,
            type: "warning",
            duration: 1500,
            onClose: () => {},
          });
        }
      });
    },
    // 员工管理
    dataSelectYg() {
      let sysUserId = this.$cookie.get("userId");
      this.dataListLoading = true;
      this.$http({
        url: this.$http.adornUrl("sys/user/list"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.size,
          sysUserId: sysUserId,
          isChannel: 1,
        }),
      }).then(({ data }) => {
        if (data && data.code === 0) {
          this.dataList = data.page.list;
          this.totalPage = data.page.totalCount;
        } else {
          this.dataList = [];
          this.totalPage = 0;
        }
        this.dataListLoading = false;
      });
    },
    // 每页数
    sizeChangeHandle(val) {
      this.pageSize = val;
      this.pageIndex = 1;
      this.dataSelectYg();
    },
    // 当前页
    currentChangeHandle(val) {
      this.pageIndex = val;
      this.dataSelectYg();
    },
    // 多选
    selectionChangeHandle(val) {
      this.dataListSelections = val;
    },
    // 新增 / 修改
    addOrUpdateHandle(id) {
      this.addOrUpdateVisible = true;
      this.$nextTick(() => {
        let sysUserId = this.$cookie.get("userId");
        this.$refs.addOrUpdate.init(id, sysUserId);
        // this.$refs.addOrUpdate.homeSelect(id)
      });
    },
    // 删除
    deleteHandle(id) {
      var userIds = id
        ? [id]
        : this.dataListSelections.map((item) => {
            return item.userId;
          });
      this.$confirm(
        `确定对[id=${userIds.join(",")}]进行[${id ? "删除" : "批量删除"}]操作?`,
        "提示",
        {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          type: "warning",
        }
      )
        .then(() => {
          this.$http({
            url: this.$http.adornUrl("/sys/user/delete"),
            method: "post",
            data: this.$http.adornData(userIds, false),
          }).then(({ data }) => {
            if (data && data.code === 0) {
              this.$message({
                message: "操作成功",
                type: "success",
                duration: 1500,
                onClose: () => {
                  this.dataSelectYg();
                },
              });
            } else {
              this.$message.error(data.msg);
            }
          });
        })
        .catch(() => {});
    },
    // 用户列表
    dataSelectYonghu() {
      let sysUserId = this.$cookie.get("userId");
      this.tableDataLoading = true;
      this.$http({
        url: this.$http.adornUrl("user/selectUserList"),
        method: "get",
        params: this.$http.adornParams({
          page: this.page,
          limit: this.size,
          member: -1,
          phone: this.phone,
          campus: this.campus,
          userName: this.userName,
          inviterCode: "",
          qdCode: this.platformT,
          invitationCode: this.invitationCode,
          startTime: "",
          endTime: "",
          email: "",
        }),
      }).then(({ data }) => {
        let returnData = data.data;
        this.tableDataYh = returnData;
        this.tableDataLoading = false;
      });
    },
    //删除用户
    deleteuser(row) {
      let delid = row.userId;
      this.$confirm(`确定删除此条信息?`, "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      }).then(() => {
        this.$http({
          url: this.$http.adornUrl(`user/deleteUserByUserId/${delid}`),
          method: "post",
          params: this.$http.adornData({}),
        }).then(({ data }) => {
          if (data.code == 0) {
            this.$message({
              message: "删除成功",
              type: "success",
              duration: 1500,
              onClose: () => {
                this.dataSelectYonghu();
              },
            });
          } else {
            this.$message({
              message: data.msg,
              type: "warning",
              duration: 1500,
              onClose: () => {},
            });
          }
        });
      });
    },
    // 状态
    changeYh(val, userId) {
      this.$http({
        url: this.$http.adornUrl(`user/updateUserByUserId`),
        method: "post",
        data: this.$http.adornData({
          userId: userId,
          status: val,
        }),
      }).then(({ data }) => {
        if (data.code == 0) {
          this.$message({
            message: "操作成功",
            type: "success",
            duration: 1500,
            onClose: () => {
              this.dataSelectYonghu();
            },
          });
        } else {
          this.$message({
            message: data.msg,
            type: "warning",
            duration: 1500,
            onClose: () => {
              this.dataSelectYonghu();
            },
          });
        }
      });
    },
  },
  mounted() {
    this.dataSelectUs();
    this.withdrawSelect();

    this.platformT = this.detail.qdCode;
    this.homeSelect();
  },
};
</script>
<style scoped="scoped">
.box {
  height: 156px;
  padding: 24px;
  border: 1px solid #eee;
  margin: 15px 10px;
}

.box_num {
  font-size: 14px;
  color: #66b1ff;
}

.box_num .box_color {
  color: #333;
  font-size: 14px;
  margin-bottom: 15px;
}

.box_num div span {
  font-size: 20px;
  margin-left: 5px;
}

.text_color {
  color: #4f9dec;
  margin-top: 50px;
}

.text_color span {
  margin-right: 5px;
}

.text_color1 {
  margin-top: 15px;
}

.shop_item {
  margin-top: 20px;
}

.imgWrap .avatar-uploader .el-upload {
  width: 60px;
}

.el-table .cell {
  text-align: center !important;
}

.el-tag--medium {
  margin-right: 10px;
}
</style>
